module Types where

import qualified Data.Text as T

import Data.Time.Clock

data Options = Options
  { optFullscreen :: Bool
  , optFlipScreens :: Bool
  , optVerbose :: Bool
  , optFile :: T.Text
  }
  deriving (Show)

data State = State
  { stCurrentPage :: Word
  , stPresentationWindow :: Word
  , stStartTime :: UTCTime
  } deriving (Show)
